Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455426 (gstreamer-java) - Review Request: gstreamer-java - Java interface to the gstreamer framework
Summary: Review Request: gstreamer-java - Java interface to the gstreamer framework
Keywords:
Status: CLOSED NEXTRELEASE
Alias: gstreamer-java
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: http://code.google.com/p/gstreamer-java/
Whiteboard:
Depends On: 467029
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 14:08 UTC by Levente Farkas
Modified: 2008-11-05 16:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-05 15:50:59 UTC
mtasaka: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Levente Farkas 2008-07-15 14:08:30 UTC
Spec URL: http://www.lfarkas.org/linux/packages/fedora/9/SPECS/gstreamer-java.spec
SRPM URL: http://www.lfarkas.org/linux/packages/fedora/9/SRPMS/gstreamer-java-0.8-506.fc9.src.rpm
Description: An unofficial/alternative set of java bindings for the gstreamer multimedia framework.

Comment 1 Levente Farkas 2008-07-15 14:14:06 UTC
This is my first package which submitted to fedora so i need sponsor:-) 
although i already made rpms (eg. for java packages) in 1998: 
http://lwn.net/1998/1015/jdkv5rpm.html

Comment 2 Levente Farkas 2008-07-16 09:46:34 UTC
final version of 0.8 released here is the new
SRPM URL:
http://www.lfarkas.org/linux/packages/fedora/9/SRPMS/gstreamer-java-0.8-1.fc9.src.rpm

Comment 3 Mamoru TASAKA 2008-09-26 06:36:59 UTC
Some notes:

* Build failure
  - This doesn't build:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=844842
    I guess at least gstreamer-devel is needed for BuildRequires, however also
    see below.

* Versioned external Requires
  - Would you explain why you want versioned gstreamer dependency?

* License
  - License tag "GNU Lesser General Public License" is not valid on Fedora.
    Please refer to:
    https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#GPL_and_LGPL
    https://fedoraproject.org/wiki/Licensing

* Vendor tag
  - Please remove Vendor tag. This is automatically set by Fedora builder.

* Pre-compiled binaries.
  - Remove pre-compiled binaries (.jar files, for example) at %prep. This
    can affect BuildRequires.

Comment 4 Levente Farkas 2008-09-29 14:48:24 UTC
i try to fix everything, the new build at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=849883
the new spec is at the same place:
http://www.lfarkas.org/linux/packages/fedora/9/SPECS/gstreamer-java.spec
and the src.rpm:
http://www.lfarkas.org/linux/packages/fedora/9/SRPMS/gstreamer-java-0.8-3.fc9.src.rpm

unfortunately it's neither working on rhel/centos-5 nor on fedora-10, but it seems to a be a jna problem. we try to find the reason with jna maintainer (who is at redhat so i hope rhel is important for them too:-) but i hope it's not affect the gstreamer-java package.

Comment 5 Mamoru TASAKA 2008-09-29 18:30:28 UTC
I will look this later.

Comment 6 Mamoru TASAKA 2008-09-29 18:38:44 UTC
(Removing NEEDSPONSOR)

Comment 7 Mamoru TASAKA 2008-09-30 16:35:17 UTC
For 0.8-3:

* License
  - All codes with explicitly licensed are under LGPLv3 strict.
    Also, icons included in the tarball are under CC-BY-SA.
    So the license tag should be "LGPLv3 and CC-BY-SA".

* Patch
  - What is this patch for? It seems after you apply this patch
    you modify what is changed by this patch by using sed again...
    I guess using sed from the beginning is better.

* Requires
  - Are gstreamer-plugins-base, gstreamer-plugins-good _really_
    needed? 
    More verbosely, is gstreamer-java out of work when
    gstreamer-plugins-base or gstreamer-plugins-good are not
    installed? I guess what you mean here is
    "Conflicts: gstreamer-plugins-base < 0.10.19" or so.

* rpmlint
-------------------------------------------------------------
gstreamer-java.src: E: description-line-too-long An unofficial/alternative set of java bindings for the gstreamer multimedia framework.
-------------------------------------------------------------
  - One line in %description must contain less than 80 characters.

? About this line for swt.jar:
-------------------------------------------------------------
$(find %{_libdir} -name swt*.jar 2>/dev/null|sort|head -1)
-------------------------------------------------------------
  - Can't this part be replaced by $(build-classpath swt)?

* Documents
  - Please add the following to %doc (of main package)
-------------------------------------------------------------
CHANGES
COPYING*
-------------------------------------------------------------

* %changelog
  - The last entry in %changelog does not coincide with current
    srpm EVR (Epoch-Version-Release).

! By the way as you say this srpm does not build on rawhide.
  Would you file a bug (perhaps against jna) so that we can
  keep track of this issue?
  dist-f10 build:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=850032

Comment 8 Mamoru TASAKA 2008-10-08 07:17:32 UTC
ping?

Comment 9 Levente Farkas 2008-10-08 09:38:17 UTC
we just had some discussion with jna, libffi and gstreamer-java packager and upstream developer to be able to package gstreamer-java-1.0 which is working and run on fedora 9,10,11 and rhel-5 too (most problem was generated by this review reqest:-). if all these issue will be solved (probably after a newer jna and gstreamer-java release) i'll submit this package.

Comment 10 Levente Farkas 2008-10-08 12:23:49 UTC
so about your requires. it's a good question. if you use such functions from gstreamer-java which requires gstreamer-plugins-base then gstreamer-plugins-base should have to be at least 0.10.19. so your "Conflicts: gstreamer-plugins-base < 0.10.19" may be better, but i don't know if i not add requires for gstreamer-plugins-base < 0.10.19 the one can install gstreamer-java which is not working in some case which is the reason for requires in spec file....

$(build-classpath swt) working on fedora, but not on rhel/centos-5 that's why i use this way, but now i modify a bit.

unfortunately until we've newer jna it can't build:-(
http://www.lfarkas.org/linux/packages/fedora/9/SPECS/gstreamer-java.spec
http://www.lfarkas.org/linux/packages/fedora/9/SRPMS/gstreamer-java-1.0-0.2.fc9.src.rpm

Comment 11 Levente Farkas 2008-10-08 12:39:37 UTC
New Package CVS Request
=======================
Package Name: gstreamer-java
Short Description: Java interface to the gstreamer framework
Owners: lfarkas
Branches: F-9 F-10 EL-5
InitialCC: lfarkas

Comment 12 Mamoru TASAKA 2008-10-08 13:04:45 UTC
Please wait for my recheck. I have not approved this package yet.
(Note: as I have to check 5 requests before this ticket so it may
 take a little long...)

Comment 13 Mamoru TASAKA 2008-10-09 06:07:59 UTC
For 1.0-0.2

* SourceURL
  - SourceURL seems 404. By the way is 1.0 really released?

* Requires/Obsoletes
(In reply to comment #10)
> but i don't know if i not add
> requires for gstreamer-plugins-base < 0.10.19 the one can install
> gstreamer-java which is not working in some case which is the reason for
> requires in spec file....

  - In this case I don't think we must ensure the full function
    of gstreamer-java should work.

    While it may be reasonable to add 
    "Requires: gstreamer-plugins-base >= 0.10.19", IMO
    "Requires: gstreamer-plugins-good >= 0.10.7" is superfluous and
    this Requires (i.e. for gstreamer-plugins-good) should be changed
    to "Conflicts".
    By the way it is safe to add "Conflicts: gstreamer-plugins-ugly < 0.10.7"
    or so.

* Group
  - of -javadoc subpackage should simply be "Documentation".

* Pre-shipped binaries
  - Would you explain what many binary files under .hg directory are?
    Cannot this directory completely be deleted?

Comment 15 Mamoru TASAKA 2008-10-17 14:57:24 UTC
For me (also tried from fedorapeople.org)

$ env LANG=C wget -N http://gstreamer-java.googlecode.com/files/gstreamer-java-src-1.0.tar.bz2
--2008-10-17 23:55:15--  http://gstreamer-java.googlecode.com/files/gstreamer-java-src-1.0.tar.bz2
Resolving gstreamer-java.googlecode.com... 74.125.47.82
Connecting to gstreamer-java.googlecode.com|74.125.47.82|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-10-17 23:55:16 ERROR 404: Not Found.

Comment 16 Levente Farkas 2008-10-17 15:43:12 UTC
1.0 is not released yet. i'll not push gstreamer-java into fedora until 1.0 or another newer pre 1.0 will be released. since currently there is no working version because jna and gstreamer-java should have to be in pair. the latest mercurial is working with the latest jna (in rawhide, but even that version has a wrong 3.0.4 version number while it's in reality an svn version after 3.0.7). so i've to be wait for wayne (the upstream gstreamer-java maintainer) and colin (the fedora jna maintainer).
anyway if you download the src.rpm it's contain the latesat svn source and it'll build on f9, f10, f11.

Comment 17 Mamoru TASAKA 2008-10-17 17:12:14 UTC
(In reply to comment #16)
> anyway if you download the src.rpm it's contain the latesat svn source 
  - In such case please write in the spec file as comments how you
    created your source tarball:
    https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control

    Also the EVR (Epoch-Version-Release) of the rpm and the name of
    the tarball must contain the information of revision number:
    https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages

> and
> it'll build on f9, f10, f11.
  - Unfortunately your latest srpm does not build either on F-10 or F-9...
http://koji.fedoraproject.org/koji/taskinfo?taskID=886325
http://koji.fedoraproject.org/koji/taskinfo?taskID=886382

Comment 18 Mamoru TASAKA 2008-10-23 14:54:51 UTC
Strangely enough, now it builds on F-10:
http://koji.fedoraproject.org/koji/taskinfo?taskID=898121

but not in F-9:
http://koji.fedoraproject.org/koji/taskinfo?taskID=898151
dist-f9-build jna is now jna-3.0.2-7.fc9, while this package
requires: "BuildRequires: jna >= 3.0.3".

So would you fix rpm versioning issue, commenting how to create
tarball (as I noted on comment 17) and update your srpm?

Comment 19 Mamoru TASAKA 2008-10-23 15:45:53 UTC
(In reply to comment #18)
> Strangely enough, now it builds on F-10:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=898121

Oops!! the correct URL:
http://koji.fedoraproject.org/koji/taskinfo?taskID=898070

Comment 21 Levente Farkas 2008-10-23 16:56:32 UTC
opps it seems we do paralell build. i still don't know why not build on f-9. it's build on my f-9:-( alhough i already install jna from koji. and i also request newer jna for everything:
https://bugzilla.redhat.com/show_bug.cgi?id=467029

Comment 22 Mamoru TASAKA 2008-10-23 17:25:05 UTC
(In reply to comment #21)
> opps it seems we do paralell build. i still don't know why not build on f-9.
> it's build on my f-9:-( alhough i already install jna from koji. and i also
> request newer jna for everything:
> https://bugzilla.redhat.com/show_bug.cgi?id=467029

Because I guess jna maintainer has not submitted a request to push
F-9 rebuit jna to repository nor asked rel-eng team to
make rebuilt package added to buildroot....

By the way:
(In reply to comment #20)
> http://www.lfarkas.org/linux/packages/fedora/9/SRPMS/gstreamer-java-0.9-0.1.20081023hg.fc9.src.rpm
Does this mean that this is a pre-version of 0.9?

Comment 23 Levente Farkas 2008-10-23 20:09:19 UTC
that's why i said i've to wait for the next jna update (and libffi on epel).

no there is no currently 1.0 prebuild, but may be there will be some pre 1.0 that's why i renumber it to 0.9 (since wayne said the next will be 1.0) so this hg version won't be in conflict with any future version even there will be a 0.9.

Comment 24 Mamoru TASAKA 2008-10-24 16:42:36 UTC
Okay.

2 Notes:
* Documents
  - Please add the following files to %doc
-------------------------------------------------
src/org/freedesktop/tango/COPYING
-------------------------------------------------
    Note that this file also has "COPYING" name so this
    has to be renamed, for example by:
-------------------------------------------------
%prep
%setup -q -n %{name}
cp -p src/org/freedesktop/tango/COPYING COPYING.CC-BY-SA
# remove prebuild binaries
find . -name '*.jar' -exec rm {} \;
find . -name '.hg*' -exec rm -rf {} \; || :
-------------------------------------------------

* %changelog
  - Please update %changelog (the last entry does not
    coincide with current rpm EVR).

Other things are okay

-------------------------------------------------
   This package (gstreamer-java) is APPROVED by mtasaka
-------------------------------------------------

Comment 25 Levente Farkas 2008-10-25 15:11:26 UTC
New Package CVS Request
=======================
Package Name: gstreamer-java
Short Description: Java interface to the gstreamer framework
Owners: lfarkas
Branches: F-9 F-10 EL-5
InitialCC: lfarkas

Comment 26 Dennis Gilmore 2008-10-27 04:43:19 UTC
CVS Done,

no need to put yourself on the initialCC list.  you will get cc'd as the owner

Comment 27 Mamoru TASAKA 2008-11-05 15:50:59 UTC
Once closing....

Comment 28 Fedora Update System 2008-11-05 16:46:18 UTC
gstreamer-java-0.9-0.3.20081023hg.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gstreamer-java-0.9-0.3.20081023hg.fc10


Note You need to log in before you can comment on or make changes to this bug.